%global pkgname libvirt-ocaml

Summary:        OCaml binding for libvirt
Name:           ocaml-libvirt
Version:        0.6.1.7
Release:        9%{?dist}
License:        LGPLv2+
URL:            http://libvirt.org/ocaml/
Source0:        https://gitlab.com/libvirt/%{pkgname}/-/archive/v%{version}/%{pkgname}-v%{version}.tar.gz

BuildRequires:  make autoconf automake gawk perl-interpreter
BuildRequires:  libvirt-devel >= 0.2.1
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel

%description
OCaml binding for libvirt.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{pkgname}-v%{version}


%build
unset MAKEFLAGS
autoreconf -i
%configure
make


%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install


%files
%license COPYING.LIB
%doc README
%{_libdir}/ocaml/libvirt
%exclude %{_libdir}/ocaml/libvirt/*.a
%exclude %{_libdir}/ocaml/libvirt/*.cmxa
%exclude %{_libdir}/ocaml/libvirt/*.cmx
%exclude %{_libdir}/ocaml/libvirt/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%license COPYING.LIB
%doc README TODO.libvirt
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.cmx
%{_libdir}/ocaml/libvirt/*.mli


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.7-9
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.7-8
- Rebuilt for loongarch release

* Sat Jun 22 2024 Rebuild Robot <rebot@opencloudos.org> - 0.6.1.7-7
- [Type] other
- [DESC] Rebuilt for ocaml

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.7-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.1.7-5
- Rebuilt for ocaml-findlib 1.9.6

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 0.6.1.7-4
- Rebuild for libvirt-9.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 rockerzhu <rockerzhu@tencent.com> - 0.6.1.7-1
- Initial build
